Package be.fgov.ehealth.mediprima.uma.protocol.v1

# Class SendUrgentMedicalAidAttestationResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.mediprima.uma.protocol.v1.SendUrgentMedicalAidAttestationResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:35+02:00", comments="JAXB RI v4.0.5") public class SendUrgentMedicalAidAttestationResponse extends StatusResponseType implements Serializable
Send urgent medical aid attestation response

Java class for SendUrgentMedicalAidAttestationResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendUrgentMedicalAidAttestationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="Attestion" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}AttestationType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendUrgentMedicalAidAttestationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttestationType`
  `getAttestion()`
  Gets the value of the attestion property.
  `void`
  `setAttestion(AttestationType value)`
  Sets the value of the attestion property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendUrgentMedicalAidAttestationResponse

    public SendUrgentMedicalAidAttestationResponse()

- ## Method Details

  - ### getAttestion

    public AttestationType getAttestion()
    Gets the value of the attestion property.
    Returns:
      possible object is `AttestationType`

  - ### setAttestion

    public void setAttestion(AttestationType value)
    Sets the value of the attestion property.
    Parameters:
      `value` - allowed object is `AttestationType`